package sgc.portal.com.auth.persistence;

import sgc.portal.com.auth.model.SmComHdlgAuth;
import sgc.portal.base.util.EasyHashMap;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 프로그램 목록 매퍼  DAO
 *
 * @author SangWoo Park
 * @version 1.0.0
 * @since  2020. 8. 21.
 */
@Mapper
public interface ComBusiHandleAuthMngMapper {

    //업무취급권한 정보 조회
    List<EasyHashMap<String, Object>> selectComBusiHandleAuthMng(SmComHdlgAuth smComHdlgAuth);

    //업무취급권한 정보 조회(combo)
    List<EasyHashMap<String, Object>> selectComBusiHandleAuthMngCombo(SmComHdlgAuth smComHdlgAuth);

    //업무취급권한 정보 저장
    void insertComBusiHandleAuthMng(SmComHdlgAuth smComHdlgAuth);

    //업무취급권한 정보 수정
    void updateComBusiHandleAuthMng(SmComHdlgAuth smComHdlgAuth);

    //업무취급권한 정보 삭제
    void deleteComBusiHandleAuthMng(SmComHdlgAuth smComHdlgAuth);

}

